%define upstream_name    Module-ExtractUse
%define upstream_version 0.343

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Find out what modules are used 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Parse::RecDescent) >= 1.967.9
BuildRequires: perl(Pod::Strip)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description 
Module::ExtractUse is basically a Parse::RecDescent grammar to parse Perl code.
It tries very hard to find all modules (whether pragmas, Core, or from CPAN)
used by the parsed code.

"Usage" is defined by either calling use or require

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README example
%{perl_vendorlib}/Module
%{_mandir}/*/*

%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.343.0-2.mga8
+ Revision: 1519744
- Mageia 8 Mass Rebuild

* Fri Oct 19 2018 tv <tv> 0.343.0-1.mga7
+ Revision: 1322417
- update to 0.343

* Thu Sep 20 2018 umeabot <umeabot> 0.342.0-2.mga7
+ Revision: 1284788
- Mageia 7 Mass Rebuild

* Tue Jan 23 2018 tv <tv> 0.342.0-1.mga7
+ Revision: 1196543
- update to 0.342

* Sun Jun 19 2016 pterjan <pterjan> 0.341.0-2.mga6
+ Revision: 1029986
- Rebuild for perl 5.22.2

* Wed Feb 10 2016 shlomif <shlomif> 0.341.0-1.mga6
+ Revision: 953362
- update to 0.341

* Mon Feb 08 2016 umeabot <umeabot> 0.330.0-5.mga6
+ Revision: 948177
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.330.0-4.mga5
+ Revision: 749837
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.330.0-3.mga5
+ Revision: 727667
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.330.0-2.mga5
+ Revision: 685427
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 0.330.0-1.mga5
+ Revision: 614865
- update to 0.33

* Mon Feb 10 2014 jquelin <jquelin> 0.320.0-1.mga5
+ Revision: 588490
- update to 0.32

* Sat Oct 19 2013 umeabot <umeabot> 0.310.0-2.mga4
+ Revision: 527108
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.310.0-1.mga4
+ Revision: 439544
- update to 0.31

* Sun Jan 13 2013 umeabot <umeabot> 0.280.0-2.mga3
+ Revision: 369795
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 jquelin <jquelin> 0.280.0-1.mga3
+ Revision: 291718
- update to 0.28

* Thu Jul 05 2012 jquelin <jquelin> 0.270.0-1.mga3
+ Revision: 268019
- update to 0.27

* Fri Feb 24 2012 jquelin <jquelin> 0.240.0-1.mga2
+ Revision: 213720
- update to 0.24

* Mon Jan 24 2011 jquelin <jquelin> 0.230.0-1.mga1
+ Revision: 36811
- fix buildrequires:
- mageia rebuild
- imported package perl-Module-ExtractUse


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.230.0-1mdv2010.0
+ Revision: 403863
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.23-2mdv2009.0
+ Revision: 268617
- rebuild early 2009.0 package (before pixel changes)

* Tue May 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.23-1mdv2009.0
+ Revision: 201861
- update to new version 0.23

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.22-1mdv2008.1
+ Revision: 109508
- update to new version 0.22

* Fri Nov 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.20-1mdv2008.1
+ Revision: 107233
- update to new version 0.20
- update to new version 0.20

* Thu May 03 2007 Michael Scherer <misc@mandriva.org> 0.19-1mdv2008.0
+ Revision: 21530
- update to 0.19


* Wed Nov 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-3mdv2007.0
+ Revision: 88340
- fix buildrequires
- fix buildrequires
- Import perl-Module-ExtractUse

* Tue Nov 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-1mdv2007.1
- first mdv release

